PT BIA - Bug #3940

Issue Report All Employee Data ter-Double di Prod

10/08/2025 09:30 AM - Mr Ikmal

Status: User Test
Priority: High
Assignee: Mr [kmal
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

10/08/2025
10/09/2025
0%

0.00 hour
0.00 hour

Description
Dear team developer,

Mohon bantuannya untuk memperbaiki report All Employee.

Letak menu nya: Employee Admin > Employee Report > All Employee.

Saat ini terjadi case issue data nya ter-double2 di production, mohon dibuat agar tidak double dengan ambil record terakhir untuk
EndDate nya. Tapi pastikan untuk kolom JoinDate tetap mengambil data Pertama nya yaitu yg movementType nya 'Hiring'.

Tapi kalau saya cek di port Dev 61139 dia tidak ke double2. Mohon di cek penyebabnya ya.

Terima kasih.

PORT PROD : https://hris-bia.minovaiscloud.com/
DB : 103.153.60.89,1435
Nama DB : MinovaES_BIA_Prod

PORT DEV : http://remote.minovais.com:61139/
DB : remote.minovais.com, 1468
Nama DB : MinovaES_BIA_ BaseServerCloud

History

#1 - 10/08/2025 10:31 AM - Kezia Pawitra Yulianti

- Due date set to 10/09/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to mahlil ..

- Priority changed from Normal to High

tetep di cek juga data di prod yaa, takutnya ada kesalahan data nya yg bikin jadi double

Tks

#2 - 10/08/2025 06:04 PM - Mr Ikmal
- Status changed from Assigned to User Test

- Assignee changed from mabhlil .. to Mr Ikmal

Untuk ini issue ditemukan mahlik karena data DivisionCode yg double yaitu: 0119 di table PCMEMPDVSCODE. Sudah diinfo user jika ada yg double

baiknya di buat beda code nya, menghindari data double
